AUBIONOTES(1)

NAME
aubionotes - a command line tool to extract musical notes

SYNOPSIS
aubionotes source
aubionotes [[-i] source]
           [-r rate] [-B win] [-H hop]
           [-O method] [-t thres] [-d drop]
           [-p method] [-u unit] [-l thres]
           [-T time-format]
           [-s sil]
           [-j] [-v] [-h]

DESCRIPTION
aubionotes attempts to detect notes by looking for note onsets and pitches. Consecutive events are segmented using onset detection, while a fundamental frequency extraction algorithm determines their pitch.

When started with an input source (-i/--input), the detected notes are printed on standard output, in seconds and midi note number.

When started without an input source, or with the jack option (-j/--jack), aubionotes starts in jack mode.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-i, --input source
    Run analysis on this audio file. Most uncompressed and compressed are supported, depending on how aubio was built.

-r, --samplerate rate
    Fetch the input source, resampled at the given sampling rate. The rate should be specified in Hertz as an integer. If 0, the sampling rate of the original source will be used. Defaults to 0.

-B, --bufsize win
    The size of the buffer to analyze, that is the length of the window used for spectral and temporal computations. Defaults to 512.

-H, --hopsize hop
    The number of samples between two consecutive analysis. Defaults to 256.

-O, --onset method
    The onset detection method to use. See ONSET METHODS below. Defaults to 'default'.

-t, --onset-threshold thres
    Set the threshold value for the onset peak picking. Typical values are typically within 0.001 and 0.900. Defaults to 0.1. Lower threshold values imply more onsets detected. Try 0.5 in case of over-detections. Defaults to 0.3.

-M, --minioi value
    Set the minimum inter-onset interval, in seconds, the shortest interval between two consecutive notes. Defaults to 0.030

-p, --pitch method
    The pitch detection method to use. See PITCH METHODS below. Defaults to 'default'.

-u, --pitch-unit unit
    The unit to be used to print frequencies. Possible values include midi, bin, cent, and Hz. Defaults to 'Hz'.

-l, --pitch-tolerance thres
    Set the tolerance for the pitch detection algorithm. Typical values range between 0.2 and 0.9. Pitch candidates found with a confidence less than this threshold will not be selected. The higher the threshold, the more confidence in the candidates. Defaults to unset.

-s, --silence sil
    Set the silence threshold, in dB, under which the pitch will not be detected. A value of -20.0 would eliminate most onsets but the loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.

-d, --release-drop
    Set the release drop threshold, in dB. If the level drops more than this amount since the last note started, the note will be turned off. Defaults to 10.

-T, --timeformat format
    Set time format (samples, ms, seconds). Defaults to seconds.

-j, --jack
    Use Jack input/output. You will need a Jack connection controller to feed aubio some signal and listen to its output.

-h, --help
    Print a short help message and exit.

-v, --verbose
    Be verbose.

ONSET METHODS
Available methods: default, energy, hfc, complex, phase, specdiff, kl, mkl, specflux.

See aubioonset(1) for details about these methods.

PITCH METHODS
Available methods: default, schmitt, fcomb, mcomb, specacf, yin, yinfft, yinfast.

See aubiopitch(1) for details about these methods.

SEE ALSO
aubioonset(1), aubiopitch(1), aubiotrack(1), aubioquiet(1), aubiomfcc(1), and aubiocut(1).

AUTHOR
This manual page was written by Paul Brossier <piem@aubio.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.